#ifndef MBED_RFID_FUNCTIONS_H
#define MBED_RFID_FUNCTIONS_H

#include <stdio.h>
#include <stdlib.h>

/* structure for the Linked List Node */
typedef struct llnode_t {
    int data;
    struct llnode_t *next;
    struct llnode_t *prev;
} LLNode;

/* header for a linked List */
typedef struct linkedlist_t {
    LLNode *head;
    LLNode *tail;
} LinkedList;

/* Function Prototypes*/
LinkedList emptyList(); // Create Initial List
void showList(LinkedList theList); // Print the whole list
void addToList(LinkedList *pLL, int data); // Adds a ID to the list
void deleteFromList(LinkedList *pll, int data); //Delete a list
void addPhantom(LinkedList *pLL); //Put an empty node in the LL
int lookUp(LinkedList IDList, int ID); // Sees if ID is in list (for adding/deleting purposes)

#endif